// pages/loadArrive/info.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    info: {},
    auditStatusArray:[],//审核状态
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    //字典数据
    let treeData = app.globalData.treeArr
    for (const element of treeData) {
      let arrStr;
      switch (element.dictValue) {
        case 'AUDIT_STATUS':
          arrStr = "auditStatusArray";
          break;
      }
      this.setData({
        [arrStr]: element.children
      })
    }
    //获取详情
    var pages = getCurrentPages();
    var prevPage = pages[pages.length - 2];
    let getInfo = prevPage.data.resData[options.index]
    this.setData({
      info : getInfo
    })
    // 调度前详情
    this.getInfo(getInfo.id, "old")
    // 调度后详情
    this.getInfo(getInfo.id, "new")
  },

  //查询详情
  getInfo: function (id, type) {
    app.request.GET({
      url: app.API.replaceDetail,
      page: this,
      params: {
        'id': id,
        'flag': type,
      },
      successFun: true
    }).then(res => {
      let getInfo = res.data.data;
      if(type == 'old'){
        this.setData({
          oldInfo : getInfo
        })
      }else{
        this.setData({
          newInfo : getInfo
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})